<?php
exec ('svn log http://opensvn.csie.org/jedsoft/slxfig/trunk/', $svninfo);
foreach ($svninfo as $line) {
  $line = preg_replace ('/r(\d+)/', "<p><a href=\"svn.$1\">$1</a>", $line);
  $line = preg_replace ('/\---+/', '<hr>', $line);
  echo "$line\n";
}
?>
